Skip to navigation

Delete envelope attachments from draft envelope

View as Markdown

Deletes one or more envelope attachments from a draft envelope.

It’s easy to confuse envelope attachments, which are developer-only files associated with an envelope, with signer attachments.

To learn about the different types of attachments, see Attachments in the concept guide.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

envelopeIdstringRequired

The envelope’s GUID.

Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec

Request

This endpoint expects an object: envelopeAttachmentsRequest

attachmentslist of objectsOptional
An object that contains information about the attachment.

Response

Successful response.
attachmentslist of objectsOptional
An array of attachment objects that contain information about the attachments.

Errors

400
Bad Request Error